/*
	Copyright © 2006, JFG Networks, All rights reserved
*/

function js_crypto_gen(p_s,p_t){
		
		if (  typeof ( p_s ) != "undefined" ) intS=p_s; else intS=4;
		if (  typeof ( p_t ) != "undefined" ) intT=p_t; else intT=900;
	
		if (intS<1)  intS = 1;
		if (intS>6)  intS = 6;
			
		intRes=intS;
		intR=( Math.random() * 32767 );
		intNow= new Date();
		var utc = Date.UTC(intNow.getFullYear(),intNow.getMonth()+1,intNow.getDate())/1000;
		intT = (utc) + intT ^ (intR*32768 + intR);
		intRes+=str_pad(DecHex(intR),4,"0","STR_PAD_LEFT");
		intRes+=str_pad(DecHex(intT),8,"0","STR_PAD_LEFT");
		
		return intRes;
	
}	
	
function str_pad(strInput,intLength,p_pad,p_type){
		
		if (  typeof ( p_pad ) != "undefined" ) strPad=p_pad; else strPad=" ";
		if (  typeof ( p_type ) != "undefined" ) strType=p_type; else strType="STR_PAD_LEFT";
			
		if(strInput.length >= intLength ) return strInput;
			
		switch (strType){
			
			
			case "STR_PAD_BOTH":
				intDiff=intLength - strInput.length;
				intLeftPad=Math.ceil(intDiff/2);
				intRightPad=Math.floor(intDiff/2);
				strInput = str_pad( strInput, strInput.length+intLeftPad, strPad );
				strInput = str_pad( strInput, strInput.length+intRightPad,strPad ,"STR_PAD_RIGHT" );
				
			break;
			
			case "STR_PAD_RIGHT":
				while(strInput.length<intLength) strInput+=strInput;
			break;
				
			default :
			  while(strInput.length<intLength) strInput=strPad+strInput;
			break;
		}
		return strInput;
}
			
			
			
var hD="0123456789abcdef";
	
function DecHex(d) {
		var h = hD.substr(d&15,1);
		while(d>15) {d>>=4;h=hD.substr(d&15,1)+h;}
		return h;
}
	
function HexDec(h) {return parseInt(h,16);}		
	
function regenerateCrypto(img_id,submit_id,lengthCrypt){
	
	try{
		var imgCrypt =document.getElementById(img_id);
	}catch(e){ return false;}
	
	if( typeof(lengthCrypt) != 'undefined' )
		var res=js_crypto_gen(lengthCrypt);
	else
		var res=js_crypto_gen(3);
	
	imgCrypt.src = replaceKey(imgCrypt.src,res);
	
	try{
		document.getElementById("spmk").value=res;
	if(submit_id != null && typeof(submit_id) != "undefined")
		document.getElementById("sub").disabled=false;	
	}catch(e){}
}

function replaceKey(str_url, str_key){
	var re =/\?[a-z0-9]+/;
	str_url = str_url.replace(re,'?'+str_key);
	return str_url;
}

